Package ru.yandex.clickhouse.util

## Class ClickHouseVersionNumberUtil

- java.lang.Object
- - ru.yandex.clickhouse.util.ClickHouseVersionNumberUtil

    @Deprecated
    public final class ClickHouseVersionNumberUtil
    extends Object

Deprecated.
As of release 0.3.2, replaced by `ClickHouseVersion` and it will be removed in 0.4.0
Very simple version number parser. It is only needed for ClickHouse driver and database version numbers

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static int` `compare​(String currentVersion, String targetVersion)` Deprecated.
`static int` `getMajorVersion​(String versionNumber)` Deprecated.
`static int` `getMinorVersion​(String versionNumber)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getMajorVersion

    public static int getMajorVersion​(String versionNumber)

Deprecated.

#### getMinorVersion

    public static int getMinorVersion​(String versionNumber)

Deprecated.

#### compare

    public static int compare​(String currentVersion,
                              String targetVersion)

Deprecated.